from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTreeNode(Protocol):
    def getChildCount(self) -> int: ...
    def getParent(self) -> XTreeNode: ...
    def getIndex(self, Node: XTreeNode) -> int: ...
    def hasChildrenOnDemand(self) -> bool: ...
    def getDisplayValue(self) -> Any: ...
    def getNodeGraphicURL(self) -> str: ...
    def getExpandedGraphicURL(self) -> str: ...
    def getCollapsedGraphicURL(self) -> str: ...
